Bug 132874 - Table with merged/split cells and embedded table broken with RTF paste
Summary: Table with merged/split cells and embedded table broken with RTF paste
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Writer-Tables RTF-Paste
  Show dependency treegraph
 
Reported: 2020-05-09 15:39 UTC by Telesto
Modified: 2021-11-06 23:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.48 KB, application/vnd.oasis.opendocument.text)
2020-05-09 15:40 UTC, Telesto
Details
Bibisect log (2.89 KB, text/plain)
2020-05-10 10:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-09 15:39:47 UTC
Description:
Table with merged/splitted cells broken if LibreOffice is quited between copy and paste

Steps to Reproduce:
1. Open the attached file
2. CTRL+A & CTRL+C
3. CTRL-Q
4. Launch Writer again
5. CTRL+V

Actual Results:
Merged cell not merged anymore (and some more differences)

Expected Results:
Same layout


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded

and in
6.4

6.3 did hang on file open

but not in
6.1
Comment 1 Telesto 2020-05-09 15:40:06 UTC
Created attachment 160559 [details]
Example file
Comment 2 Telesto 2020-05-09 15:42:25 UTC
Also fine in 6.2
Comment 3 Ming Hua 2020-05-10 05:48:25 UTC
I can reproduce with 7.0.0 alpha1:
Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU 线程: 2; 操作系统: Windows 10.0 Build 18363; UI 渲染: Skia/Raster; VCL: win; 
Locale: zh-CN (zh_CN); UI: zh-CN
Calc: threaded

But NOT reproduced with 6.3.5 (the example file opens fine here):
Version: 6.3.5.2 (x64)
Build ID: dd0751754f11728f69b42ee2af66670068624673
CPU threads: 2; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: zh-CN (zh_CN); UI-Language: en-US
Calc: threaded
Comment 4 Telesto 2020-05-10 10:27:07 UTC
Created attachment 160592 [details]
Bibisect log

Bisected to:
author	Jan Holesovsky <kendy@collabora.com>	2019-09-26 13:35:55 +0200
committer	Jan Holesovsky <kendy@collabora.com>	2019-09-27 09:54:06 +0200
commit	e9e6d4b058e13165f3dde1ca7822eec97dfe8aa7 (patch)
tree	dea7babee79d1acbf34ab8e81fed5aa355cf060b
parent	ffa97dfc53ef902fe478f264c51989bd4c4434d1 (diff)
tdf#116685: Make the RICHTEXT take precedence over EMBED_SOURCE.
Before this patch, copy in Calc, Paste in Writer produced an embedded
sheet.  I suspect is it not what the people usually want; working with
the embedded sheets in Writer is non-intuitive, I suspect people will be
happier with a normal table which they can style etc. appropriately.

OTOH - this is a general change, so it might have some unwanted
side-effects; let's see what if we get bugreports :-)

tdf#127673 was related; but in my view, we shouldn't create the embedded
objects in the first place.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e9e6d4b058e13165f3dde1ca7822eec97dfe8aa7
Comment 5 Telesto 2020-05-10 10:28:43 UTC
Adding cc: to Jan Holesovsky
Comment 6 Telesto 2020-05-10 10:32:15 UTC
Note: The 'proper' layout can be restored more or less with HTML paste
Comment 7 Aron Budea 2021-11-06 23:55:31 UTC
The identified change only switches to RTF paste, the steps can be checked in older versions as well by using paste special in RTF format.
The pasted table is already buggy in version 3.3.0.